Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 75958

Summary: modules.conf not in profile handling / pcmcia cards shall not be aliased
Product: [Fedora] Fedora Reporter: diego.santacruz
Component: system-config-networkAssignee: Harald Hoyer <harald>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 23:55:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 75956    
Bug Blocks: 125274    

Description diego.santacruz 2002-10-15 08:53:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
neat will always configure a device in /etc/modules.conf for a PCMCIA network
card. This is not correct for PCMCIA, where the modules are loaded by the
cardmgr daemon. If several different PCMCIA network cards are used, neat will
complain (in some profiles) that eth0 is an alias to the wrong module.

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.20-1

How reproducible:
Always

Steps to Reproduce:
1. Configure a network device eth0 for a PCMCIA ethernet card (say using
xircom_cs module)
2. In a new profile configure configure a net device eth0 for a PCMCIA wireless
card (say using orinoco_cs module)
3. exit neat
4. insert the ethernet PCMCIA card
5. start neat

Actual Results:  neat will complain that eth0 is an alias for orinoco_cs instead
of the currently loaded xircom_cs module.

Expected Results:  No module aliases are created for PCMCIA cards.

Additional info:

Since PCMCIA cards are hotpluggable and the correct module is chosen by the
cardmgr daemon, neat should never set a module alias for a PCMCIA ethernet card.
Setting a module alias is asking for trouble whenever one inserts a different
PCMCIA network card that requires another module.

Comment 1 Harald Hoyer 2003-02-04 16:44:07 UTC
you can assign the cards to different eth numbers, if you bind them to the
mac-addresses

Comment 2 Harald Hoyer 2003-02-04 16:57:37 UTC
fixed in CVS 1.1.95

Comment 3 diego.santacruz 2003-02-04 17:03:25 UTC
Concerning the comment about assigning cards different eth numbers, last time I
checked it does not work. The problem is basically
that when the PCMCIA card is inserted it will appear as eth0 and hotplug will do
an "ifup eth0". If the card was configured as eth1, well out-of-luck the
interface will not be brought up. And binding to the MAC address does not work,
see bug #75570.

Besides this, I think that adding aliases in /etc/modules.conf for PCMCIA cards
is basically broken behaviour, as that info is never used and causes more
trouble than anything else.



Comment 4 Bug Zapper 2008-04-03 15:25:34 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-06 23:55:04 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp